API Reference

Update a tokenized card

PUT/credit_cards/{token_or_alias}

Body Parameters

card_expirystring(optional)

Expiry on the card

aliasstring(optional)

Alias to associate with the card. Note: if the alias specified already exists on another card, it will be removed from the other card and added to this card.

Query Parameters

token_or_aliasstring

Token or alias of the card to update

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/credit_cards/fke8jmra -X PUT -u TEST:TEST -d'
  {
  "card_expiry": "11/2023",
  "alias": "NewAlias123" 
  }'

Response

200Result
json
{
  "successful": true,
  "response": {
  "token": "fke8jmra",
  "card_holder": "Bob Smith",
  "card_number": "512345XXXXXX2346",
  "card_expiry": "2023-11-30",
  "card_type": "MasterCard",
  "card_category": "Credit",
  "card_subcategory": "Standard",
  "card_issuer": "Banco Del Pichincha, C.A.",
  "card_country": "Ecuador",
  "authorized": true,
  "transaction_count": 0,
  "alias": "NewAlias123"
  },
  "errors": [],
  "test": true
}
400Result
json
{}